Skip to content

Delete Node

DELETE
/api/v1/nodes/{node_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the delete node request

Example

<API_KEY>
location
required
string

Specifies the target node location for deletion

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code returned by the Delete Node operation

integer
data
object
vm_id

Identifier of the deleted node

integer
location

Name of the location associated with the deleted node

string
errors
object
message

Result message indicating the outcome of the delete operation

string

Example

{
"code": 200,
"data": {
"vm_id": 123456,
"location": "Delhi"
},
"message": "Success"
}